summaryrefslogtreecommitdiff
path: root/tests/install/basic-1
diff options
context:
space:
mode:
authorPaul Eggert <eggert@cs.ucla.edu>2006-09-18 22:09:49 +0000
committerPaul Eggert <eggert@cs.ucla.edu>2006-09-18 22:09:49 +0000
commit0e3b87195ab0820d228cda986ac916d52b696aff (patch)
treeaa59e32593d2e666b9afdc509704b4e38013f9f5 /tests/install/basic-1
parentbebf83d0fd198ea199f6df9684141d284b5323e2 (diff)
downloadcoreutils-0e3b87195ab0820d228cda986ac916d52b696aff.tar.xz
Fix bug where chmod, chown, and chgrp did not process operands
left-to-right in some cases. * src/chmod.c (wd_errno): New var. (chmod_file): New function, with most of the contents of the old prcess_file function. (process_files): Use it. This gives file names to fts one at a time, so that they are processed left-to-right as POSIX requires. * src/chown-core.c (wd_errno, chown_files): Likewise. (chown_file): New function. * tests/install/basic-1: Redo test so as to not workaround the chmod bug, thereby testing for it.
Diffstat (limited to 'tests/install/basic-1')
-rwxr-xr-xtests/install/basic-13
1 files changed, 1 insertions, 2 deletions
diff --git a/tests/install/basic-1 b/tests/install/basic-1
index bfddd6ef8..9c7d106ad 100755
--- a/tests/install/basic-1
+++ b/tests/install/basic-1
@@ -112,8 +112,7 @@ test -d xx/rel && fail=1
mkdir -p sub1/d || fail=1
(cd sub1/d && chmod a-rx .. && chmod a-r . &&
ginstall -d $abs/xx/zz rel/a rel/b 2> /dev/null) || fail=1
-chmod 755 sub1 || fail=1
-chmod 755 sub1/d || fail=1
+chmod 755 sub1 sub1/d || fail=1
test -d xx/zz || fail=1
test -d sub1/d/rel/a || fail=1
test -d sub1/d/rel/b || fail=1